POST V1/Inventory.{ext}/DownloadSavingsTemplate?isReoccuring={isReoccuring}&fromMonth={fromMonth}&fromYear={fromYear}&toMonth={toMonth}&toYear={toYear}&classificationId={classificationId}&classification={classification}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| isReoccuring |
No description available |
boolean |
Required |
| fromMonth |
No description available |
integer |
Required |
| fromYear |
No description available |
integer |
Required |
| toMonth |
No description available |
integer |
Required |
| toYear |
No description available |
integer |
Required |
| classificationId |
No description available |
integer |
Required |
| classification |
No description available |
string |
Required |
| ext |
Which media types are acceptable for the response, such as json/xml If no matches are found, the content negotiator tries to match on the media type of the request body, if any. For example, if the request contains JSON data, the content negotiator looks for a JSON formatter. |
string |
Content-Type: application/json OR application/xml |
Body Parameters
EMS.Inventory.Entities.SavingAccounts| Name | Description | Type | Additional information |
|---|---|---|---|
| SavingAccountsList |
No description available |
Collection of EMS.Inventory.Entities.SavingAccount |
None. |
Request Formats
application/json, text/json
Sample:
{
"savingAccountsList": [
{
"accountId": 1,
"savingsType": "sample string 2",
"accountNbr": "sample string 3",
"utility": "sample string 4",
"vendor": "sample string 5",
"siteNbr": "sample string 6",
"siteGroup": "sample string 7",
"address": "sample string 8",
"amount": 9.0,
"comments": "sample string 10",
"month": 11,
"year": 12,
"classficationName": "sample string 13",
"createdUser": "sample string 14",
"createdDate": "sample string 15",
"modifiedDate": "sample string 16",
"modifiedUser": "sample string 17"
},
{
"accountId": 1,
"savingsType": "sample string 2",
"accountNbr": "sample string 3",
"utility": "sample string 4",
"vendor": "sample string 5",
"siteNbr": "sample string 6",
"siteGroup": "sample string 7",
"address": "sample string 8",
"amount": 9.0,
"comments": "sample string 10",
"month": 11,
"year": 12,
"classficationName": "sample string 13",
"createdUser": "sample string 14",
"createdDate": "sample string 15",
"modifiedDate": "sample string 16",
"modifiedUser": "sample string 17"
}
]
}
application/xml, text/xml
Sample:
<SavingAccounts xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EMS.Inventory.Entities">
<SavingAccountsList>
<SavingAccount>
<AccountId>1</AccountId>
<AccountNbr>sample string 3</AccountNbr>
<Address>sample string 8</Address>
<Amount>9</Amount>
<ClassficationName>sample string 13</ClassficationName>
<Comments>sample string 10</Comments>
<CreatedDate>sample string 15</CreatedDate>
<CreatedUser>sample string 14</CreatedUser>
<ModifiedDate>sample string 16</ModifiedDate>
<ModifiedUser>sample string 17</ModifiedUser>
<Month>11</Month>
<SavingsType>sample string 2</SavingsType>
<SiteGroup>sample string 7</SiteGroup>
<SiteNbr>sample string 6</SiteNbr>
<Utility>sample string 4</Utility>
<Vendor>sample string 5</Vendor>
<Year>12</Year>
</SavingAccount>
<SavingAccount>
<AccountId>1</AccountId>
<AccountNbr>sample string 3</AccountNbr>
<Address>sample string 8</Address>
<Amount>9</Amount>
<ClassficationName>sample string 13</ClassficationName>
<Comments>sample string 10</Comments>
<CreatedDate>sample string 15</CreatedDate>
<CreatedUser>sample string 14</CreatedUser>
<ModifiedDate>sample string 16</ModifiedDate>
<ModifiedUser>sample string 17</ModifiedUser>
<Month>11</Month>
<SavingsType>sample string 2</SavingsType>
<SiteGroup>sample string 7</SiteGroup>
<SiteNbr>sample string 6</SiteNbr>
<Utility>sample string 4</Utility>
<Vendor>sample string 5</Vendor>
<Year>12</Year>
</SavingAccount>
</SavingAccountsList>
</SavingAccounts>
application/x-www-form-urlencoded
Sample:
Sample not available.
application/bson
Sample:
Binary JSON content. See http://bsonspec.org for details.
Response Information
Resource Description
ObjectNone.
Response Formats
application/json, text/json
Sample:
{}
application/xml, text/xml
Sample:
<z:anyType xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns:z="http://schemas.microsoft.com/2003/10/Serialization/" />
application/bson
Sample:
Binary JSON content. See http://bsonspec.org for details.